<screen>
<!-- options screen -->
<layer>1</layer>
	<rootcomponent>
		<name>optionsform</name>
		<effects>
			<effect>
				<name>create</name>
    	 <sound>
				<stream>/sound/window_moves_in.wav</stream>
			 </sound>
			</effect>
			<effect>
				<name>destroy</name>
    	 <sound>
				<stream>/sound/window_moves_out.wav</stream>
			 </sound>
				<lifetime>300</lifetime>
			</effect>
		</effects>

   <!-- ok button -->
		<component>
			<name>okbutton</name>
			<hotkey>KEY_RETURN</hotkey>
			<caption>$Language.Default.ok</caption>
			<captioncolor>0xEE000000</captioncolor>
			<captionshadowcolor>0xFFF0B955</captionshadowcolor>
			<captionscale>0.90</captionscale>
			<width>160</width>
			<height>60</height>
			<effects>
				<effect>
					<name>create</name>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac.xml</material>
						<texstage>/texture/gui/mmi.png</texstage>
					</visual>
				        <movement>
					          <timebegin>300</timebegin>
					          <timeend>500</timeend>
         					  <ybegin>400</ybegin>
           				  <yend>240</yend>
                </movement>
				</effect>
				<effect>
					<name>mousein</name>
     			<sound>
     	     		<stream>/sound/mouseover.wav</stream>
	     	  </sound>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/mmi-highlight.png</texstage>
					</visual>
				</effect>
				<effect>
					<name>destroy</name>
				        <movement>
					          <timeend>200</timeend>
         					  <ybegin>240</ybegin>
           				  <yend>400</yend>
                </movement>
				</effect>
				<effect>
					<name>mouseout</name>
     			<sound>
     	     		<stream>/sound/mouseout.wav</stream>
	     	  </sound>
					<visual>
						<mesh>/mesh/centered-256x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/mmi.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>

      <component>
		<name>highscorefrm</name>
		<effects>
			<effect>
				<name>create</name>
				<movement>
					<timeend>500</timeend>
					<ybegin>-900</ybegin>
					<yend>0</yend>
				</movement>
			</effect>
			<effect>
				<name>destroy</name>
				<movement>
					<timebegin>200</timebegin>
					<timeend>300</timeend>
					<ybegin>0</ybegin>
					<yend>-900</yend>
				</movement>
			</effect>
		</effects>

		<component>
			<name>bg-lines</name>
			<effects>
				<effect>
					<name>create</name>
					<visual>
						<mesh>/mesh/gui/frame/options-lines.xml</mesh>
						<texstage>/texture/playfield/bound-line.png</texstage>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>

		<component>
			<name>bg-corners</name>
			<effects>
				<effect>
					<name>create</name>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/gui/frame/options-corners.xml</mesh>
						<texstage>/texture/playfield/bound-corner.png</texstage>
						<material>/material/tex-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>

		<component>
			<name>deco-top</name>
			<effects>
				<effect>
					<name>create</name>
					<yposition>-274</yposition>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/gui/frame/deco-top.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/frame/deco-top.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>

   		<component>
			<name>deco-bottom</name>
			<effects>
				<effect>
					<name>create</name>
					<yposition>196</yposition>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/centered-256x32.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/frame/deco-horizontal.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>

   		<component>
			<name>deco-left</name>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-335</xposition>
					<yposition>-20</yposition>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/centered-16x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/frame/deco-vertical.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>

 		<component>
			<name>deco-right</name>
			<effects>
				<effect>
					<name>create</name>
					<xposition>336</xposition>
					<yposition>-20</yposition>
					<zposition>-0.1</zposition>
					<visual>
						<mesh>/mesh/centered-16x128.xml</mesh>
						<material>/material/tex-ac_diff-a.xml</material>
						<texstage>/texture/gui/frame/deco-vertical.png</texstage>
					</visual>
				</effect>
			</effects>
		</component>

		<component>
			<name>bg-bg</name>
			<effects>
				<effect>
					<name>create</name>
					<zposition>0.1</zposition>
					<visual>
						<mesh>/mesh/gui/frame/options-bg.xml</mesh>
						<material>/material/diff-ac.xml</material>
					</visual>
				</effect>
			</effects>
		</component>

		<!-- escape button shortcut -->
		<component>
			<name>cancelbutton</name>
			<hotkey>KEY_ESCAPE</hotkey>
			<effects>
				<effect>
					<name>create</name>
					<xposition>500</xposition>
				</effect>
			</effects>
		</component>

	<!-- top text -->
		<component>
			<name>toptext</name>
			<caption>$Language.Default.Screen.Credits.caption</caption>
			<captioncolor>0xFFFFFF00</captioncolor>
			<effects>
				<effect>
					<name>create</name>
					<yposition>-250</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		
		<!-- left text -->
		<component>
			<name>lefttext</name>
			<align>1</align>
			<font>1</font>
			<caption>$Language.Default.Screen.Credits.contents</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<captionscale>0.95</captionscale>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-330</xposition>
					<yposition>-10</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
		<!-- right text -->
		<component>
			<name>righttext</name>
			<align>1</align>
			<font>1</font>
			<caption>$Language.Default.Screen.Credits.contentsSmall</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<captionscale>0.95</captionscale>
			<effects>
				<effect>
					<name>create</name>
					<xposition>-20</xposition>
					<yposition>-20</yposition>
					<zposition>-1</zposition>
				</effect>
			</effects>
		</component>
  </component>
</rootcomponent>
</screen>